<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

You can create forms very easy in minimum lines of code

## Features

it can create form

## Getting started

just create list of MyFormObj

## Usage

```dart
class MyApp extends StatefulWidget {
  const MyApp({
    Key? key,
  }) : super(key: key);

  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  List<TextEditingController> controllers = [];
  List<List<MyFormObj>> fullFormObjList = [
    [
      MyFormObj(
          controller: TextEditingController(),
          serverName: "firstname",
          title: "firstname",
          type: MyFormType.text),
    ],
    [
      MyFormObj(
          controller: TextEditingController(),
          serverName: "lastname",
          title: "lastname",
          type: MyFormType.text),
    ],
    [
      MyFormObj(
        controller: TextEditingController(),
        serverName: "birth_day",
        title: "Birthday",
        type: MyFormType.date,
        readOnly: true,
      ),
    ],
    [
      MyFormObj(
          controller: TextEditingController(),
          serverName: "province",
          title: "Province",
          type: MyFormType.singleChoice,
          readOnly: true,
          choiceObjs: [
            ChoiceObj(id: 0, title: "Germany"),
            ChoiceObj(id: 1, title: "France"),
          ]),
    ],
    [
      MyFormObj(
          controller: TextEditingController(),
          serverName: "gender",
          title: "Gender",
          type: MyFormType.singleChoice,
          readOnly: true,
          choiceObjs: [
            ChoiceObj(id: 0, title: "Male"),
            ChoiceObj(id: 1, title: "Male"),
          ])
    ],
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: Text("Example"),
      ),
      body: SingleChildScrollView(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Text("Complete Form Please",style: TextStyle(fontSize: 18),),
            MyFormBuilder(fullFormObjList: fullFormObjList,onSubmit: (map){
              print(map);
            },),
          ],
        ),
      ),
    );
  }
}
```

## Additional information

nothing